package es.carlosgarcia;

import android.app.Activity;
import android.os.Bundle;
import android.view.View;
import android.view.View.OnClickListener;
import android.widget.Button;
import android.widget.Toast;
import es.carlosgarcia.widget.SeekBarCustom;

/**
 * Control personalizado que representa una barra de progreso con un título con:
 * @param min: 		Valor mánimo
 * @param progress: Valor actual
 * @param text:		Título mostrado
 * @author Carlos García. http://www.carlos-garcia.es
 */
public class MainActivity extends Activity implements OnClickListener {
	private Button 		  btn;
	private SeekBarCustom seek;
	
    @Override
    public void onCreate(Bundle savedInstanceState) {
        super.onCreate(savedInstanceState);
        
        this.setContentView(R.layout.main);
        this.btn  = (Button) this.findViewById(R.id.button1);
        this.seek = (SeekBarCustom) this.findViewById(R.id.barId);
        this.btn.setOnClickListener(this);
    }

    /**
     * Cuando hacemos clic en el botón invocamos un método personalizado y especifico del control
     */
	@Override
	public void onClick(View v) {
		if (seek.isValueSelected()){
			Toast.makeText(this, "Estupendo!!", Toast.LENGTH_LONG).show();
		} else {
			Toast.makeText(this, "Seleccione un valor, por favor.", Toast.LENGTH_LONG).show();
		}
	}
}